import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)
import java.util.List;

public abstract class Figur extends Actor
{
    // Attribute
    protected String name;
    protected String art;
    protected Textfeld t;
    // Konstruktor
    public Figur(String pName, String pArt)
    {
        this.name = pName;
        this.art = pArt;
    }

    // Methoden
    public void act() 
    {
        if(Greenfoot.mousePressed(this))
        {
            this.allesSagen();
        }
    } 

    public void allesSagen()
    {

    }

    public void altesTextfeldLoeschen()
    {
        List tListe = this.getWorld().getObjects(Textfeld.class);
        if(!tListe.isEmpty())
        {

            this.getWorld().removeObject((Actor)tListe.get(0));
        }

        if(this.t != null)   {    this.getWorld().removeObject(this.t); }
    }

    public void neuesTextfeldAufbauen(String pAusgabe)
    {
        this.t = new Textfeld();
        GreenfootImage g = new GreenfootImage(pAusgabe, 15, Color.MAGENTA, null);
        this.t.setImage(g);
        this.getWorld().addObject(this.t, this.getWorld().getWidth() - 190, 80);
    }

}